/* UtilLib - Copyright (c) 2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.exceptions;


/**
 *
 * @author Vincent Calame
 */
public class NestedNoSuchMethodException extends RuntimeException {

    private final NoSuchMethodException noSuchMethodException;

    public NestedNoSuchMethodException(NoSuchMethodException noSuchMethodException) {
        super(noSuchMethodException);
        this.noSuchMethodException = noSuchMethodException;
    }

    public NoSuchMethodException getNoSuchMethodException() {
        return noSuchMethodException;
    }

    @Override
    public String getMessage() {
        return ExceptionsUtils.getMessage(noSuchMethodException);
    }

}
